// ==============================================================
//LongShot.cpp
//Class declaration for LongShot vessel class
//
//Addon author: Jorge Iglesias (AKA Hispa)
//Orbiter (C) 2002-2010 Martin Schweiger
//All rights reserved
//
//This file was generated by Xantcha's Orbiter vessel template
// ==============================================================

#define STRICT
#define ORBITER_MODULE

#include "orbitersdk.h"
#include "UmmuSDK.h"

// ==============================================================
// LongShot class interface
// ==============================================================

class LongShot: public VESSEL2 {

private:

	// Posicin relativa de los diferentes motores
	// Motores principales
	VECTOR3 MainEngineOfs[8];
	
	// Definicin de los motores y grupos motores
	THRUSTER_HANDLE th_main[8],th_rcs[20],th_group[8];
	THRUSTER_HANDLE thg_main;

	// Definicin del tanque de combustible
	PROPELLANT_HANDLE ph_main;

public:
	LongShot (OBJHANDLE hVessel, int flightmodel)
		: VESSEL2 (hVessel, flightmodel) {}

	// UMMU 2.0 DECLARATION
	UMMUCREWMANAGMENT Crew;

	int iSelectedUmmuMember;// for the SDK demo, select the member to eva
	// The HUD display method variable
	char cUmmuHudDisplay[255];// UMmu hud char variable
	double dHudMessageDelay;// UMmu hud display delay
	char *SendHudMessage(void);// UMmu hud display function

	int iActiveDockNumber, transpondedor;
	char nombre[10];

	void clbkSetClassCaps (FILEHANDLE cfg);

	void clbkLoadStateEx (FILEHANDLE scn, void *vs);
	void clbkSaveState (FILEHANDLE scn);
	void clbkPreStep (double simt, double simdt, double mjd);
	void clbkPostStep (double simtt, double simdt, double mjd);
	void CambioDePuerto();
	int clbkConsumeBufferedKey (DWORD key, bool down, char *kstate);
	void clbkDrawHUD (int mode, const HUDPAINTSPEC *hps, HDC hDC);
	void SetUMMUAirlockPos(void);
};